Package com.xebialabs.xlrelease.variable

## Class VariablesGraphResolver.Var<A,​V extends Variable>

- java.lang.Object
- - com.xebialabs.xlrelease.variable.VariablesGraphResolver.Var<A,​V>

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Equals`, `scala.Product`
  Enclosing class:
    VariablesGraphResolver

      public static class VariablesGraphResolver.Var<A,​V extends Variable>
      extends java.lang.Object
      implements scala.Product, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Var​(A value, V variable, boolean resolved)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `canEqual​(java.lang.Object x$1)` |
    `<A,​V extends Variable> VariablesGraphResolver.Var<A,​V>` | `copy​(A value, V variable, boolean resolved)` |
    `<A,​V extends Variable> A` | `copy$default$1()` |
    `<A,​V extends Variable> V` | `copy$default$2()` |
    `<A,​V extends Variable> boolean` | `copy$default$3()` |
    `boolean` | `equals​(java.lang.Object x$1)` |
    `int` | `hashCode()` |
    `int` | `productArity()` |
    `java.lang.Object` | `productElement​(int x$1)` |
    `java.lang.String` | `productElementName​(int x$1)` |
    `scala.collection.Iterator<java.lang.Object>` | `productIterator()` |
    `java.lang.String` | `productPrefix()` |
    `boolean` | `resolved()` |
    `java.lang.String` | `toString()` |
    `A` | `value()` |
    `V` | `variable()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Product

      `productElementNames`

- - ### Constructor Detail

    - #### Var

          public Var​(A value,
                     V variable,
                     boolean resolved)

  - ### Method Detail

    - #### value

          public A value()

    - #### variable

          public V variable()

    - #### resolved

          public boolean resolved()

    - #### copy

          public <A,​V extends Variable> VariablesGraphResolver.Var<A,​V> copy​(A value,
                                                                                         V variable,
                                                                                         boolean resolved)

    - #### copy$default$1

          public <A,​V extends Variable> A copy$default$1()

    - #### copy$default$2

          public <A,​V extends Variable> V copy$default$2()

    - #### copy$default$3

          public <A,​V extends Variable> boolean copy$default$3()

    - #### productPrefix

          public java.lang.String productPrefix()

      Specified by:
        `productPrefix` in interface `scala.Product`

    - #### productArity

          public int productArity()

      Specified by:
        `productArity` in interface `scala.Product`

    - #### productElement

          public java.lang.Object productElement​(int x$1)

      Specified by:
        `productElement` in interface `scala.Product`

    - #### productIterator

          public scala.collection.Iterator<java.lang.Object> productIterator()

      Specified by:
        `productIterator` in interface `scala.Product`

    - #### canEqual

          public boolean canEqual​(java.lang.Object x$1)

      Specified by:
        `canEqual` in interface `scala.Equals`

    - #### productElementName

          public java.lang.String productElementName​(int x$1)

      Specified by:
        `productElementName` in interface `scala.Product`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object x$1)

      Specified by:
        `equals` in interface `scala.Equals`
      Overrides:
        `equals` in class `java.lang.Object`